List Available Feature Extractors
curl --request GET \
--url https://api.mixpeek.com/v1/discovery/extractors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/discovery/extractors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/discovery/extractors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mixpeek.com/v1/discovery/extractors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mixpeek.com/v1/discovery/extractors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mixpeek.com/v1/discovery/extractors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mixpeek.com/v1/discovery/extractors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"costs": {
"rates": [
{
"credits_per_unit": 10,
"description": "Per minute of video processed",
"unit": "minute"
}
],
"tier": 2,
"tier_label": "STANDARD"
},
"description": "Extracts embeddings from text, images, and video frames",
"example_usage": {
"collection": {
"feature_extractor": {
"input_mappings": {
"content": "video"
},
"name": "multimodal_extractor",
"parameters": {
"split_method": "time",
"time_split_interval": 10
},
"version": "v1"
}
},
"namespace": {
"feature_extractors": [
{
"name": "multimodal_extractor",
"version": "v1"
}
]
}
},
"name": "multimodal_extractor",
"output_features": [
{
"name": "multimodal_embedding",
"type": "embedding",
"uri": "mixpeek://multimodal_extractor@v1/multimodal_embedding"
}
],
"parameter_schema": {
"properties": {
"split_method": {
"default": "time",
"description": "Video splitting strategy",
"type": "string"
},
"time_split_interval": {
"default": 10,
"description": "Interval in seconds for time splitting",
"type": "integer"
}
},
"type": "object"
},
"supported_input_types": [
"video",
"image"
],
"supported_modalities": [
"video",
"image"
],
"version": "v1"
}
]{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}Discovery
List Available Feature Extractors
Discover all available feature extractors with their capabilities, supported modalities, output features, and example usage. Use this to understand what extractors are available when configuring namespaces and collections in manifests.
GET
/
v1
/
discovery
/
extractors
List Available Feature Extractors
curl --request GET \
--url https://api.mixpeek.com/v1/discovery/extractors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/discovery/extractors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/discovery/extractors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mixpeek.com/v1/discovery/extractors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mixpeek.com/v1/discovery/extractors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mixpeek.com/v1/discovery/extractors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mixpeek.com/v1/discovery/extractors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"costs": {
"rates": [
{
"credits_per_unit": 10,
"description": "Per minute of video processed",
"unit": "minute"
}
],
"tier": 2,
"tier_label": "STANDARD"
},
"description": "Extracts embeddings from text, images, and video frames",
"example_usage": {
"collection": {
"feature_extractor": {
"input_mappings": {
"content": "video"
},
"name": "multimodal_extractor",
"parameters": {
"split_method": "time",
"time_split_interval": 10
},
"version": "v1"
}
},
"namespace": {
"feature_extractors": [
{
"name": "multimodal_extractor",
"version": "v1"
}
]
}
},
"name": "multimodal_extractor",
"output_features": [
{
"name": "multimodal_embedding",
"type": "embedding",
"uri": "mixpeek://multimodal_extractor@v1/multimodal_embedding"
}
],
"parameter_schema": {
"properties": {
"split_method": {
"default": "time",
"description": "Video splitting strategy",
"type": "string"
},
"time_split_interval": {
"default": 10,
"description": "Interval in seconds for time splitting",
"type": "integer"
}
},
"type": "object"
},
"supported_input_types": [
"video",
"image"
],
"supported_modalities": [
"video",
"image"
],
"version": "v1"
}
]{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}Authorizations
Response
Successful Response
Whether every Ray Serve application this extractor needs for real-time inference is running on the deployment serving this request. True when all of them report RUNNING. False when one is absent or not running; see serve_apps for which. Null when the extractor needs none, or when the live list could not be read.
Was this page helpful?

